Skip to main content
PUT
/
employees
/
{employeeId}
/
opening-balance
Update opening balance
curl --request PUT \
  --url https://api.sandbox.flowpayroll.ai/v1/holiday/employees/{employeeId}/opening-balance \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "description": "<string>",
  "percentageOfTime": {
    "weeksCount": 2,
    "baseHours": 1,
    "baseGross": 1
  }
}
'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "organisationId": "<string>",
      "employeeId": "<string>",
      "percentageOfTime": {
        "weeksCount": 2,
        "baseHours": 1,
        "baseGross": 1
      },
      "rolledUp": {
        "payRatePercentage": 1
      },
      "createdBy": "<string>",
      "createdDate": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>",
      "updatedDate": "2023-11-07T05:31:56Z"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

employeeId
string
required

Body

application/json
description
string
required
percentageOfTime
object

Response

OK

message
object
content
object